Get events catalogue
curl --request POST \
--url https://www.wander-service.fr/api/clients/v2/get/catalogue \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"locationFilter": {},
"lastUpdatedAt": "2024-10-10T12:00:06.138Z",
"trackAvailabilities": false,
"limit": 5,
"pageNumber": 1
}
'import requests
url = "https://www.wander-service.fr/api/clients/v2/get/catalogue"
payload = {
"locationFilter": {},
"lastUpdatedAt": "2024-10-10T12:00:06.138Z",
"trackAvailabilities": False,
"limit": 5,
"pageNumber": 1
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
locationFilter: {},
lastUpdatedAt: '2024-10-10T12:00:06.138Z',
trackAvailabilities: false,
limit: 5,
pageNumber: 1
})
};
fetch('https://www.wander-service.fr/api/clients/v2/get/catalogue', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"events": [
{
"id": 100000,
"wanderId": 100000,
"wanderLink": "https://wander-app.fr/event/100000-plk-en-concert-accor-arena",
"name": "PLK en concert",
"startDate": "2024-03-03 06:08:23.222 +0100",
"endDate": "2024-03-04 06:08:23.222 +0100",
"hasEndDateNotReliable": true,
"lowestPrice": 0,
"highestPrice": 200,
"description": "Un super concert de PLK à l'accor arena !",
"hasGoodDeal": true,
"image": "<string>",
"imageHeight": 123,
"imageWidth": 123,
"squareImage": "<string>",
"rectangleImage": "<string>",
"webImage": "<string>",
"notAvailableAt": "2024-09-12T12:00:06.138Z",
"cancelledAt": "2024-09-12T12:00:06.138Z",
"createdAt": "2024-09-12T12:00:06.138Z",
"updatedAt": "2024-09-12T12:00:06.138Z",
"googlePlace": {
"id": "ChIJi4rRh5jVEEgRm5kJBs9ZLSY",
"name": "Accor Arena",
"address": "8 Bd de Bercy, 75012 Paris, France",
"lng": 2.3784703,
"lat": 48.8386038,
"averageGrade": 4.4,
"totalGrades": 33620,
"street": "8 Boulevard de Bercy",
"city": "Paris",
"postalCode": 75012,
"country": "FR",
"photoRef": "AdDdOWrRr05l5ZtHh9p6qgAy72UgUAMVDWqI0sRbmbZ8hBWaQH8iVJy0iUz98D6MSGinOIcbvJE_92-N1spK4faWYi99crxOgPMgdF2Ua2XD6Wpg-Abka_7OCnATrn68OqbouJP6Lq5AhkKsCpOQwtizL0RgcTrT0W5M3Ib7S0YLY9hSXp4S",
"website": "https://www.accorarena.com/fr",
"editorialSummary": "<string>",
"periods": [
{
"open": {
"day": 0,
"time": "0900"
},
"close": {
"day": 0,
"time": 1800
}
}
]
},
"place": {
"id": 10,
"googleId": "ChIJ9dfFtXYmVQ0RXL6FkWtY8lA",
"name": "Accor Arena",
"address": {
"lng": 2.123909,
"lat": 42.32981038,
"street": "Rue Saint-Jacques",
"city": "Paris",
"postalCode": 75005,
"country": "France"
},
"image": "<string>",
"squareImage": "<string>",
"rectangleImage": "<string>",
"averageGrade": 123,
"totalGrades": 123
},
"sources": [
{
"id": 45,
"partner": {
"name": "fnac",
"logo": "<string>",
"backColor": "<string>"
},
"startDate": "<string>",
"endDate": "<string>",
"lowestPrice": 0,
"highestPrice": 200,
"isGoodDeal": true,
"commissionFix": 1,
"commissionPerTicket": 1,
"commissionPerCart": 1,
"commissionRate": 0.05,
"link": "<string>",
"isBookable": true,
"availableDates": [
{
"startDate": "<string>",
"endDate": "<string>",
"hasEndDateNotReliable": true,
"hasUnknownAvailability": true
}
],
"averageGrade": 5,
"totalGrades": 1,
"cantRetrieveAvailableDates": true,
"notAvailableAt": "<string>"
}
],
"categories": [
{
"id": 1,
"mainCategory": "expo",
"subCategory": "painting",
"traductionFR": "peinture",
"traductionEN": "painting",
"icon": "<string>"
}
],
"commentaries": [
{
"grade": 5,
"content": "Amazing concert !",
"username": "Wander bot",
"date": "<string>"
}
],
"averageGrade": 5,
"totalGrades": 1,
"trendingScore": 10,
"performers": [
{
"id": 45,
"name": "PLK",
"description": "<string>",
"image": "<string>",
"webImage": "<string>"
}
]
}
],
"eventIdsCancelled": [
123
],
"eventIdsNotAvailable": [
123
],
"eventIdsPassed": [
123
],
"eventIdsDeleted": [
123
]
},
"pagination": {
"totalItems": 1000,
"totalPages": 20,
"perPage": 50,
"currentPage": 5,
"nextPageParams": {
"pageNumber": 6,
"limit": 50
},
"previousPageParams": {
"pageNumber": 4,
"limit": 50
}
}
}Event Data Fetching and Storage
Get events catalogue
Get and store all events. You can use it to keep your database up to date.
POST
/
v2
/
get
/
catalogue
Get events catalogue
Authorizations
It is the "access_token" returned after login
Body
application/json
You can define a location filter corresponding to a circle or a rectangle.
- Option 1
- Option 2
Show child attributes
Show child attributes
You can only get the events updated after this date. Use it to keep your own database up to date.
Example:
"2024-10-10T12:00:06.138Z"
Set it to true if you want to retrieve events whose availabilities have been modified.
Example:
false
Required range:
1 <= x <= 500Example:
5
Example:
1
Was this page helpful?